Instalación de paquetes tar.gz [Solucionado]

Bueno despues de descargar un paquete tar.gz, me di cuenta de que no sabia como instalarlo, por eso investigue bastante y en todas las paginas que encontre informacion, veo que es sencillo, pero no puedo

lo que comprendi fue que ahi que descomprimirlo, eso salio bien,
luego entrar a la carpeta descomprimida,
despues ejecutar el archivo de configuracion

sudo ./configure

pero me dice esto

sudo: ./configure: orden no encontrada

despues se que ahi que compilarlo y instalarlo con

make

y luego

make install

alguien puede ayudarme por favor ?

Fijate que tiene que haber en la carpeta que acabas de descomprimir algún archivo txt donde te diga como instalarlo, se puede llamar Léame, instal, o algo parecido.

Los archivos tar.gz son solo archivos comprimidos, no son específicamente paquetes para instalar, si necesitas algo mas que la sugerencia que ya te dieron, necesitaría saber cual paquete quieres instalar.

Matizando lo que dice Maalmike, un tar.gz equivaldría a un zip o un rar, no es un instalable. En él vienen comprimidas las fuentes de software que para instalar tienes que proceder a compilar. La mayoría de ellos,citando a maurocorvalan, tienen incluido un archivo de texto con las instrucciones (install suele llamarse). Estas suelen ser muy sencillas pero para que tengas éxito generalmente tienes que tener previamente instaladas unas dependencias previas para que la compilación tenga éxito. El truco consiste en saber qué es preciso tener para que salga.

Lo que ya te han dicho los compañeros. No puedes hacer una regla genérica que diga como instalar un "tar.gz" porque lo que existe dentro puede ser cualquier cosa. Sería como querer establecer una regla de como instalar un .rar o .zip.
Por favor, busca sobre esto en el buscador del foro que recuerdo se ha hablado mucho del tema.
Entonces lee el archivo "Install" o "Readme" y busca allí las dependencias requeridas para compilar el paquete y las instrucciones para compilar. Las dependencias generalmente (no siempre) debes buscar paquetes en tu gestor de paquetes que comiencen con "lib" y finalicen en "dev". Por ejemplo si en el archivo "Readme" te dicen que para compilar necesitas librerías GTK 2, entonces buscas "gtk" y especialmente el paquete "libgtk2.0-dev". Eso la mayoría de las veces, pero otras veces necesitas como dependencias para compilar, programas como ser cmake o automake. Puedes necesitar otras dependencias que no figuren en el "Readme", pero eso te lo hará saber la terminal con mensajes de error cuando intentes compilar.
Lo que si seguro necesitaras para compilar es lo básico:

sudo apt-get install cmake build-essential linux-headers-$(uname -r)

No necesitas de "sudo" para "./configure" ni "make". Si para "sudo make install" ya que este último necesita copiar archivos en directorios del sistema.

Entones primero busca los binarios del programa que quieres instalar como paquetes .deb, en repositorios oficiales o PPA para ahorrarte tener que compilar. Si no lo encuentras, lee todo lo que se te ha dicho y busca en el foro para intentar compilar e instalar las fuentes del programa que has descargado.
Saludos.

el unico archivo de texto que tiene es uno que dice las versiones solamente, nada de como instalarlo, en la pagina de donde lo descargue tambien dice como instalar pero tampoco puedo, noce que onda esto me esta volviendo crazy ajaja
en la pagina me dice que tengo que extraer en la carpeta /opt,
con este comando:

tar xvfz xampp-linux-1.7.7.tar.gz-C / opt

pasa que me dice esto

tar (child): xampp-linux-1.7.7.tar.gz-C: No se puede open: No existe el archivo o el directorio
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now

y si extraigo de otra forma no aparece nada en la carpeta /opt

Ah por si acaso este es el archivo que quiero instalar http://www.apachefriends.org/download.php?xampp-linux-1.7.7.tar.gz

cameR1 escribió:

tar xvfz xampp-linux-1.7.7.tar.gz-C / opt

veo un espacio de mas en "/ opt" ¿es eso?

fenix_dgo escribió:
cameR1 escribió:

tar xvfz xampp-linux-1.7.7.tar.gz-C / opt

veo un espacio de mas en "/ opt" ¿es eso?

si, igual separado o junto a la barra da la misma respuesta neutral

uh que bueno gaska, lo leeré cualquier cosa aviso si puedo cheesygrin

Muchisimas gracias por la ayuda :D pude instalarlo perfectamente, y funciona! una ultima consultita, de esto no se puede hacer un acceso directo en el escritorio para no tener qe ejecutarlo desde consola?